--- asterisk-1.4.30/channels/chan_sip.c.orig    2010-03-16 10:38:16.559098048 +0100
+++ asterisk-1.4.30/channels/chan_sip.c 2010-03-16 10:38:21.123404168 +0100
@@ -14122,6 +14122,21 @@
                        res = -1;
                } else
                        ast_log(LOG_DEBUG, "SIP transfer: Succeeded to masquerade channels.\n");
+                       if (chan_transferee && chan_target) {
+                         ast_log(LOG_DEBUG, "SIP Transfer: Test Debug - Check if chan_target is SIP.\n");
+                         if (!strcasecmp(chan_target->tech->type, "SIP")) {
+                               ast_log(LOG_DEBUG, "SIP Transfer: test Debug - Resetting rtp: chan_target.\n");
+                               ast_channel_lock(chan_target);
+                               p = chan_target->tech_pvt;
+                               if (p->rtp) {
+                                    ast_mutex_lock(&p->lock);
+                                    ast_rtp_new_source(p->rtp);
+                                    ast_mutex_unlock(&p->lock);
+                                    ast_log(LOG_DEBUG, "SIP Transfer: Test Debug - Resetting done.\n");
+                               }
+                         }
+                         ast_channel_unlock(chan_target);
+                       }
                return res;
        } else {
                ast_log(LOG_NOTICE, "SIP Transfer attempted with no appropriate bridged calls to transfer\n");
